/**
 * Copyright 2017 Gwenael Pluchon
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

(function () {
  if (typeof document !== 'undefined') {
    var head = document.head || document.getElementsByTagName('head')[0],
        style = document.createElement('style'),
        css = " .prototype-pins[data-v-dfdf2e4e] { position: relative; overflow: visible; } ";style.type = 'text/css';if (style.styleSheet) {
      style.styleSheet.cssText = css;
    } else {
      style.appendChild(document.createTextNode(css));
    }head.appendChild(style);
  }
})();

var PrototypePins = { render: function () {
    var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c('div', { staticClass: "prototype-pins" }, [_vm._t("default"), _vm._v(" "), _vm._t("pins")], 2);
  }, staticRenderFns: [], _scopeId: 'data-v-dfdf2e4e'
};

(function () {
  if (typeof document !== 'undefined') {
    var head = document.head || document.getElementsByTagName('head')[0],
        style = document.createElement('style'),
        css = " .label[data-v-eeaf2cec] { width: 17px; height: 17px; position: absolute; z-index: 100; } .dot[data-v-eeaf2cec] { background: red; color: white; border-radius: 10000px; text-align: center; padding-top: 0px; font-size: 14px; font-family: monospace; display: inline-block; padding-left: 3px; padding-right: 3px; animation: pulse-red 2s infinite; } .help-content[data-v-eeaf2cec] { opacity: 0; z-index: 101; pointer-events: none; display: inline-flex; background: #3850b7; padding: 10px; margin-left: 20px; border-radius: 4px; transform: opacity 0.2s; box-shadow: 0 1px 2px 1px rgb(0 1 0 / 20%); } .help-content > span[data-v-eeaf2cec] { display: block; } .label:hover .help-content[data-v-eeaf2cec]{ pointer-events: unset; opacity: 1; } @keyframes pulse-red { 0% { transform: scale(0.95); box-shadow: 0 0 0 0 rgba(255, 82, 82, 0.7); } 70% { transform: scale(1); box-shadow: 0 0 0 10px rgba(255, 82, 82, 0); } 100% { transform: scale(0.95); box-shadow: 0 0 0 0 rgba(255, 82, 82, 0); } } ";style.type = 'text/css';if (style.styleSheet) {
      style.styleSheet.cssText = css;
    } else {
      style.appendChild(document.createTextNode(css));
    }head.appendChild(style);
  }
})();

var PrototypePin = { render: function () {
    var _vm = this;var _h = _vm.$createElement;var _c = _vm._self._c || _h;return _c('div', [_c('span', { staticClass: "label", style: `color: white; left: ${_vm.x}; top: ${_vm.y}` }, [_c('span', { staticClass: "dot" }, [_vm._v(_vm._s(_vm.label))]), _vm._v(" "), _c('span', { staticClass: "help-content" }, [_c('span', [_vm._t("default")], 2)])])]);
  }, staticRenderFns: [], _scopeId: 'data-v-eeaf2cec',
  props: {
    label: {
      type: String,
      required: true
    },
    x: {
      type: String,
      required: true
    },
    y: {
      type: String,
      required: true
    }
  }
};

const LibraryModule = {
  PrototypePins,
  PrototypePin,

  install(Vue) {
    // Register components with vue
    Vue.component("prototype-pins", PrototypePins);
    Vue.component("prototype-pin", PrototypePin);
  }
};

exports['default'] = LibraryModule;
exports.PrototypePins = PrototypePins;
exports.PrototypePin = PrototypePin;
